# Couenne::exprUBDiv Class Reference

class to compute upper bound of a fraction based on the bounds of both numerator and denominator More...

`#include <CouenneExprBDiv.hpp>`

Inheritance diagram for Couenne::exprUBDiv:

List of all members.

## Public Member Functions
| exprUBDiv (expression **al, int n)
| Constructors, destructor.
expression * | clone (Domain *d=NULL) const
| cloning method
CouNumber | operator() ()
| function for the evaluation of the expression
enum pos | printPos () const
| print position (PRE, INSIDE, POST)
std::string | printOp () const
| print operator

## Detailed Description

class to compute upper bound of a fraction based on the bounds of both numerator and denominator

Definition at line 85 of file CouenneExprBDiv.hpp.

## Constructor & Destructor Documentation

Couenne::exprUBDiv::exprUBDiv | ( | expression ** | al,
|  | int | n |
| ) |  |  | `[inline]`

Constructors, destructor.

Definition at line 90 of file CouenneExprBDiv.hpp.

Referenced by clone().

## Member Function Documentation

expression* Couenne::exprUBDiv::clone | ( | Domain * | d = `NULL` | ) | const`[inline, virtual]`

cloning method

Reimplemented from Couenne::expression.

Definition at line 94 of file CouenneExprBDiv.hpp.

References Couenne::exprOp::clonearglist(), exprUBDiv(), and Couenne::exprOp::nargs_.

CouNumber Couenne::exprUBDiv::operator() | ( |  | ) | `[inline, virtual]`

function for the evaluation of the expression

compute sum

Implements Couenne::expression.

Definition at line 112 of file CouenneExprBDiv.hpp.

References Couenne::exprOp::arglist_, COUENNE_INFINITY, and Couenne::safeDiv().

enum pos Couenne::exprUBDiv::printPos | ( |  | ) | const`[inline, virtual]`

print position (PRE, INSIDE, POST)

Reimplemented from Couenne::exprOp.

Definition at line 101 of file CouenneExprBDiv.hpp.

References Couenne::PRE.

std::string Couenne::exprUBDiv::printOp | ( |  | ) | const`[inline, virtual]`

print operator

Reimplemented from Couenne::exprOp.

Definition at line 105 of file CouenneExprBDiv.hpp.

The documentation for this class was generated from the following file:

- CouenneExprBDiv.hpp

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Defines